Subject: TS Runtime don't require a Controller Context
Description

For some use case, like rendering TS object in service class, the requirement of the ControllerContext in TS Runtime cause some
design problem. Currently the Standalone fluid view, can create a ControllerContext if needed, this patch propose the same thing for
the TS Runtime.

Associated revisions
Revision eb3340de - 2013-09-30 17:12 - Dominique Feyer

[TASK] Runtime class can work without a controller context

For some use cases, like rendering TS object in service class, the
requirement of the ControllerContext in TS Runtime cause some design
problems. Currently the Standalone Fluid view can create a
ControllerContext if needed, this patch propose the same thing for the
TS Runtime, but based on a factory

Resolves: #49921
Change-Id: Ibd4b3a7e83c911354fda8200cc30b082600e24d7
Reviewed-on: https://review.typo3.org/22220
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Tested-by: Mr. Hudson
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-07-11 18:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22220

#2 - 2013-07-11 18:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22220

#3 - 2013-07-16 10:04 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22220

#4 - 2013-07-16 10:49 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22220

#5 - 2013-09-30 17:12 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
